Bug 22197 - Add Mana KB link to administration sidebar menu
Summary: Add Mana KB link to administration sidebar menu
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: P5 - low minor (vote)
Assignee: Owen Leonard
QA Contact: Testopia
URL:
Keywords:
Depends on: 17047 22198
Blocks:
  Show dependency treegraph
 
Reported: 2019-01-23 19:12 UTC by Owen Leonard
Modified: 2019-02-11 13:44 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 22197: Add Mana KB link to administration sidebar menu (1.71 KB, patch)
2019-01-24 15:50 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 22197: Add Mana KB link to administration sidebar menu (1.77 KB, patch)
2019-01-25 20:13 UTC, Maryse Simard
Details | Diff | Splinter Review
Bug 22197: Add Mana KB link to administration sidebar menu (1.83 KB, patch)
2019-01-27 10:20 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2019-01-23 19:12:02 UTC
There is no link to the Mana KB configuration page in the administration sidebar menu.
Comment 1 Owen Leonard 2019-01-24 15:50:00 UTC Comment hidden (obsolete)
Comment 2 Maryse Simard 2019-01-25 20:13:40 UTC Comment hidden (obsolete)
Comment 3 Katrin Fischer 2019-01-27 10:20:35 UTC
Created attachment 84454 [details] [review]
Bug 22197: Add Mana KB link to administration sidebar menu

This patch adds a link to the Mana KB configuration page to the
administration sidebar menu.

To test, apply the patch and:

 - Log in to the staff client as a user who lacks permission to manage
   Mana KB.
   - Go to an Administration page which shows the sidebar, like
     Libraries or Patron categories. There should be no link to Mana KB
     in the left-hand sidebar.
 - Log in to the staff client as a user who has permission to manage
   Mana KB.
   - Go to Administration -> Mana KB
     - In the sidebar menu you should see a link to Mana KB and it
       should be bold.
   - Navigate to another Administration page which shows the sidebar.
     The Mana KB link should not be highlighted.

Signed-off-by: Maryse Simard <maryse.simard@inlibro.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 4 Nick Clemens 2019-02-04 17:47:07 UTC
Awesome work all!

Pushed to master for 19.05